config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on rc.dovecot.new:
if [ -e etc/rc.d/rc.dovecot ]; then
  cp -a etc/rc.d/rc.dovecot etc/rc.d/rc.dovecot.new.incoming
  cat etc/rc.d/rc.dovecot.new > etc/rc.d/rc.dovecot.new.incoming
  mv etc/rc.d/rc.dovecot.new.incoming etc/rc.d/rc.dovecot.new
fi

config etc/rc.d/rc.dovecot.new


( cd usr/libexec/dovecot ; rm -rf deliver )
( cd usr/libexec/dovecot ; ln -sf dovecot-lda deliver )
( cd usr/lib/dovecot ; rm -rf libdovecot.so )
( cd usr/lib/dovecot ; ln -sf libdovecot.so.0.0.0 libdovecot.so )
( cd usr/lib/dovecot ; rm -rf libdovecot-storage.so )
( cd usr/lib/dovecot ; ln -sf libdovecot-storage.so.0.0.0 libdovecot-storage.so )
( cd usr/lib/dovecot ; rm -rf libdovecot-login.so )
( cd usr/lib/dovecot ; ln -sf libdovecot-login.so.0.0.0 libdovecot-login.so )
( cd usr/lib/dovecot ; rm -rf libdovecot-storage.so.0 )
( cd usr/lib/dovecot ; ln -sf libdovecot-storage.so.0.0.0 libdovecot-storage.so.0 )
( cd usr/lib/dovecot ; rm -rf libdovecot-compression.so.0 )
( cd usr/lib/dovecot ; ln -sf libdovecot-compression.so.0.0.0 libdovecot-compression.so.0 )
( cd usr/lib/dovecot ; rm -rf libdovecot.so.0 )
( cd usr/lib/dovecot ; ln -sf libdovecot.so.0.0.0 libdovecot.so.0 )
( cd usr/lib/dovecot ; rm -rf libdovecot-lda.so.0 )
( cd usr/lib/dovecot ; ln -sf libdovecot-lda.so.0.0.0 libdovecot-lda.so.0 )
( cd usr/lib/dovecot ; rm -rf libdovecot-login.so.0 )
( cd usr/lib/dovecot ; ln -sf libdovecot-login.so.0.0.0 libdovecot-login.so.0 )
( cd usr/lib/dovecot ; rm -rf libdovecot-lda.so )
( cd usr/lib/dovecot ; ln -sf libdovecot-lda.so.0.0.0 libdovecot-lda.so )
( cd usr/lib/dovecot ; rm -rf libdovecot-sql.so )
( cd usr/lib/dovecot ; ln -sf libdovecot-sql.so.0.0.0 libdovecot-sql.so )
( cd usr/lib/dovecot ; rm -rf libdovecot-compression.so )
( cd usr/lib/dovecot ; ln -sf libdovecot-compression.so.0.0.0 libdovecot-compression.so )
( cd usr/lib/dovecot ; rm -rf libdovecot-sql.so.0 )
( cd usr/lib/dovecot ; ln -sf libdovecot-sql.so.0.0.0 libdovecot-sql.so.0 )
( cd usr/bin ; rm -rf dsync )
( cd usr/bin ; ln -sf doveadm dsync )
